<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\ImageMessage;

use UnexpectedValueException;




class ImageSourceType
{
    


    const USER_IMAGE = 0;
    


    const AI_GENERATED = 1;
    


    const AI_MODIFIED = 2;
    


    const RASTERIZED_TEXT_STATUS = 3;

    private static $valueToName = [
        self::USER_IMAGE => 'USER_IMAGE',
        self::AI_GENERATED => 'AI_GENERATED',
        self::AI_MODIFIED => 'AI_MODIFIED',
        self::RASTERIZED_TEXT_STATUS => 'RASTERIZED_TEXT_STATUS',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

